Pular para o conteúdo principal
GET
/
api
/
v1
/
brcode
/
recebedores
/
{chave}
Obter perfil do recebedor
curl --request GET \
  --url https://spi.sandbox.lerian.net/api/v1/brcode/recebedores/{chave} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://spi.sandbox.lerian.net/api/v1/brcode/recebedores/{chave}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://spi.sandbox.lerian.net/api/v1/brcode/recebedores/{chave}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "cep": "<string>",
  "cidade": "<string>",
  "cnpj": "<string>",
  "cpf": "<string>",
  "logradouro": "<string>",
  "nome": "<string>",
  "nomeFantasia": "<string>",
  "uf": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizações

Authorization
string
header
obrigatório

JWT bearer token issued by the identity provider.

Parâmetros de caminho

chave
string
obrigatório

Chave Pix (DICT) do recebedor.

Maximum string length: 77

Resposta

OK

cep
string

CEP do recebedor.

Maximum string length: 8
cidade
string

Cidade do recebedor.

Maximum string length: 200
cnpj
string

CNPJ do recebedor (PJ).

cpf
string

CPF do recebedor (PF).

logradouro
string

Logradouro do recebedor.

Maximum string length: 200
nome
string

Nome/razão social do recebedor.

Maximum string length: 200
nomeFantasia
string

Nome fantasia do recebedor.

Maximum string length: 200
uf
string

UF do recebedor.

Maximum string length: 2